Subject: RE: order problem
From: "Bridges, Josh" <[email-masked]>
To: "Mike" <[email-masked]>
Cc: "Borum, Jim" <[email-masked]>
Date: Wed, 30 Jan 2008 12:35:29 -0500

I will have QA pull the order.

 

________________________________

From: Mike [mailto:[email-masked]] 
Sent: Wednesday, January 30, 2008 12:15 PM
To: Bridges, Josh
Cc: Borum, Jim
Subject: order problem

Josh,

Had another customer call in that stated they never ordered.  This is
order #462610 by Fernando, 412-261-9900.

GOLDBERG 
GOLDBERG GRNER GNTILE HROHO PC 
310 GRANT ST FL 230 PITTSBURGH, PA 15219

There is no one there by the name of "Goldberg".  That's part of the
company name.  I am not really sure what the name of the company should
be but I copied all of this info. exactly form the order itself. Can you
pull the recording on this please.

Thank you,

Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]